PipeWire 1.4.10

Loading...
Searching...
No Matches
protocol-native.h File Reference
Extensions » Native Protocol

pipewire/extensions/protocol-native.h More...

Go to the source code of this file.

## Data Structures
struct | pw_protocol_native_message
struct | pw_protocol_native_demarshal
struct | pw_protocol_native_ext
| pw_protocol_native_ext methods More...

## Macros
#define | PW_TYPE_INFO_PROTOCOL_Native PW_TYPE_INFO_PROTOCOL_BASE "Native"
#define | PW_VERSION_PROTOCOL_NATIVE_EXT 0
#define | pw_protocol_native_begin_proxy(p, ...)
#define | pw_protocol_native_add_proxy_fd(p, ...)
#define | pw_protocol_native_get_proxy_fd(p, ...)
#define | pw_protocol_native_end_proxy(p, ...)
#define | pw_protocol_native_begin_resource(r, ...)
#define | pw_protocol_native_add_resource_fd(r, ...)
#define | pw_protocol_native_get_resource_fd(r, ...)
#define | pw_protocol_native_end_resource(r, ...)

## Detailed Description

pipewire/extensions/protocol-native.h